@import '~styles/variables.less';

.button {
	padding: 20px;
	box-sizing: border-box;

	width: 100%;
	max-width: 350px;
	display: flex;
	align-items: center;
	justify-content: space-between;

	text-decoration: none;
	font-size: 16px;
	color: @white;

	&:after {
		content: '';

		width: 15px;
		height: 15px;

		background-image: url('/static/assets/svg/arrow/white.svg');
		background-size: 100%;
		background-repeat: no-repeat;
	}

	&:hover {
		background-color: @yellow;

		color: @black;

		&:before {
			width: 100%;
			animation: bgOut .3s ease-in-out;
		}

		&:after {
			background-image: url('/static/assets/svg/arrow/black.svg');
		}

		&.bborder {
			border-bottom: 1px solid @yellow;
		}

		&.border {
			border: 1px solid @yellow;
		}
	}

	&.border {
		border: 1px solid @border-color;
	}

	&.bborder {
		border-bottom: 1px solid @border-color;
	}
}
